<html>
    <head>
        <style type="text/css">
            .border_atas {
                border-top: 1px solid black;
                border-collapse: collapse;
            }

            .border_kiri {
                border-left: 1px solid black;
                border-collapse: collapse;
            }

            .border_kanan {
                border-right: 1px solid black;
                border-collapse: collapse;
            }

            .border_bawah {
                border-bottom: 1px solid black;
                border-collapse: collapse;
            }

            .font_besar {
                font-size: 12pt;
            }

            .font_kecil {
                font-size: 10pt;
            }

            .font_lima {
                font-size: 7pt;
            }

            .font_tujuh {
                font-size: 7pt;
            }  

            .font_delapan {
                font-size: 10pt;
            }    

            .font_sembilan {
                font-size: 9pt;
            }

            .kotak_kecil {
                float: left;
                width: 20px;
                height: 20px;
                margin: 5px;
                border: 1px solid rgba(0, 0, 0, .2);
            }
            table{font-family: Arial;}
            @page{margin: 40px;}
        </style>
    </head>
    <body>
        <?php
        ini_set("max_execution_time", 500);
        if (!function_exists('kekata')) {

            function kekata($x) {
                $x = abs($x);
                $angka = array("", "Satu", "Dua", "Tiga", "Empat", "Lima",
                    "Enam", "Tujuh", "Delapan", "Sembilan", "Sepuluh", "Sebelas");
                $temp = "";
                if ($x < 12) {
                    $temp = " " . $angka[$x];
                } else if ($x < 20) {
                    $temp = kekata($x - 10) . " Belas";
                } else if ($x < 100) {
                    $temp = kekata($x / 10) . " Puluh" . kekata($x % 10);
                } else if ($x < 200) {
                    $temp = " Seratus" . kekata($x - 100);
                } else if ($x < 1000) {
                    $temp = kekata($x / 100) . " Ratus" . kekata($x % 100);
                } else if ($x < 2000) {
                    $temp = " Seribu" . kekata($x - 1000);
                } else if ($x < 1000000) {
                    $temp = kekata($x / 1000) . " Ribu" . kekata($x % 1000);
                } else if ($x < 1000000000) {
                    $temp = kekata($x / 1000000) . " Juta" . kekata($x % 1000000);
                } else if ($x < 1000000000000) {
                    $temp = kekata($x / 1000000000) . " Milyar" . kekata(fmod($x, 1000000000));
                } else if ($x < 1000000000000000) {
                    $temp = kekata($x / 1000000000000) . " Trilyun" . kekata(fmod($x, 1000000000000));
                }
                return $temp;
            }

        }

        function terbilang($x, $style = 4) {
            if ($x < 0) {
                $hasil = "MINUS " . trim(kekata($x));
            } else {
                $hasil = trim(kekata($x));
            }
            switch ($style) {
                case 1:
                    $hasil = strtoupper($hasil);
                    break;
                case 2:
                    $hasil = strtolower($hasil);
                    break;
                case 3:
                    $hasil = ucwords($hasil);
                    break;
                default:
                    $hasil = ucfirst($hasil);
                    break;
            }
            return $hasil;
        }
        ?>
        <table class="border_atas border_bawah border_kanan border_kiri font_sembilan" style="width: 100%">
            <tr>
                <td>
                    <?php $gambar = $_SERVER['DOCUMENT_ROOT'] . "" . $this->basePath() . "/" . $ar_pemda->s_logo;
                    ?> 
                    <img src="<?= $gambar ?>" style="width:50px; padding: 10px"  />
                </td>
                <td>
                    <span style="font-size:14px;">PEMERINTAH <?= strtoupper($ar_pemda->s_namakabkota) ?></span>
                    <br>
                    <b style="font-size:18px;"><?= strtoupper($ar_pemda->s_namainstansi) ?></b>
                    <br>
                    <?= $ar_pemda->s_alamatinstansi ?> <?= $ar_pemda->s_namaibukotakabkota ?><br>Telp/Fax <?= $ar_pemda->s_notelinstansi ?>
                </td>
                <td style="text-align: center" class="border_kiri font_delapan">
                    <b style="font-size:22px;">SSPD</b><br>
                    (SURAT SETORAN PAJAK DAERAH)<br>
                    Tahun : <?= $data['t_periodepajak']; ?>
                </td>
            </tr>
        </table>
        <table class="border_kanan border_kiri font_sembilan" style="width: 100%;">
            <tr>
                <td style="padding:0; border-spacing:0px; padding-left: 15px; width: 20%; padding-top: 10px;">
                    NPWPD
                </td>
                <td style="padding:0;border-spacing:0px; padding-top: 10px;">
                    : <?= $data['t_npwpd'] ?>
                </td>
            </tr>
            <tr>
                <td style="padding:0; border-spacing:0px; padding-left: 15px; width: 20%;">
                    Nama
                </td>
                <td style="padding:0;border-spacing:0px;">
                    : <?= $data['t_nama'] ?>
                </td>
            </tr>
            <tr>
                <td style="padding:0; border-spacing:0px; padding-left: 15px;">
                    Alamat
                </td>
                <td style="padding:0;border-spacing:0px;">
                    : <?= $data['t_alamat'] . ", KEL. " . $data['s_namakel'] . ", KEC. " . $data['s_namakec'] . ", KAB. " . $data['t_kabupaten'] ?>
                </td>
            </tr>
            <tr>
                <td style="padding:0; border-spacing:0px; padding-left: 15px;">
                    NIOP
                </td>
                <td class="border_kanan" style="padding:0;border-spacing:0px;">
                    : <?= $data['t_nop'] ?>
                </td>
            </tr>
            <tr>
                <td style="padding:0; border-spacing:0px; padding-left: 15px;">
                    Nama Objek
                </td>
                <td class="border_kanan" style="padding:0; border-spacing:0px;">
                    : <?= $data['t_namaobjek'] ?>
                </td>
            </tr>
            <tr>
                <td style="padding:0; border-spacing:0px; padding-left: 15px; padding-bottom: 10px;">
                    Alamat Objek
                </td>
                <td class="border_kanan" style="padding:0; border-spacing:0px; padding-bottom: 10px;">
                    : <?= $data['t_alamatobjek'] . ", KEL. " . $data['s_namakelobjek'] . ", KEC. " . $data['s_namakecobjek'] . ", KAB. " . $data['t_kabupatenobjek'] ?>
                </td>
            </tr>
        </table>
        <table class="border_kanan border_kiri font_delapan" style="width: 100%;">
            <tr>
                <td style="padding:0; border-spacing:0px; padding-left: 15px; width: 30%;">
                    Menyetorkan berdasarkan *) :
                </td>
                <td class="border_atas border_bawah border_kanan border_kiri" style="padding:0;border-spacing:0px; width: 2%">
                    <?= (substr($data['t_kodebayar'], 6, 2) == '02') ? '&nbsp;x' : '' ?>
                </td>
                <td style="padding:0;border-spacing:0px;">
                    &nbsp; SKPD
                </td>
                <td class="border_atas border_bawah border_kanan border_kiri" style="padding:0;border-spacing:0px; width: 2%">
                    
                </td>
                <td style="padding:0;border-spacing:0px;">
                    &nbsp; STPD
                </td>
                <td class="border_atas border_bawah border_kanan border_kiri" style="padding:0;border-spacing:0px; width: 2%">

                </td>
                <td style="padding:0;border-spacing:0px;">
                    &nbsp; Lain-lain
                </td>
            </tr>
            <tr>
                <td style="padding:0; border-spacing:0px; padding-left: 15px;">

                </td>
                <td class="border_atas border_bawah border_kanan border_kiri" style="padding:0;border-spacing:0px;">

                </td>
                <td style="padding:0;border-spacing:0px;">
                    &nbsp; SKPDT
                </td>
                <td class="border_atas border_bawah border_kanan border_kiri" style="padding:0;border-spacing:0px;">
                    <?= (substr($data['t_kodebayar'], 6, 2) == '01') ? '&nbsp;x' : '' ?>
                </td>
                <td style="padding:0;border-spacing:0px;" colspan="3">
                    &nbsp; SPTPD
                </td>
            </tr>
            <tr>
                <td style="padding:0; border-spacing:0px; padding-left: 15px;">

                </td>
                <td class="border_atas border_bawah border_kanan border_kiri" style="padding:0;border-spacing:0px;">
                    <?= (substr($data['t_kodebayar'], 6, 2) == '04') ? '&nbsp;v' : '' ?>
                </td>
                <td style="padding:0;border-spacing:0px;">
                    &nbsp; SKPDKB
                </td>
                <td class="border_atas border_bawah border_kanan border_kiri" style="padding:0;border-spacing:0px;">

                </td>
                <td style="padding:0;border-spacing:0px;" colspan="3">
                    &nbsp; SK Pembetulan
                </td>
            </tr>
            <tr>
                <td style="padding:0; border-spacing:0px; padding-left: 15px;">

                </td>
                <td class="border_atas border_bawah border_kanan border_kiri" style="padding:0;border-spacing:0px;">

                </td>
                <td style="padding:0;border-spacing:0px;">
                    &nbsp; SKPDKBT
                </td>
                <td class="border_atas border_bawah border_kanan border_kiri" style="padding:0;border-spacing:0px;">

                </td>
                <td style="padding:0;border-spacing:0px;" colspan="3">
                    &nbsp; SK Keberatan
                </td>
            </tr>
            <tr>
                <td style="padding:0; border-spacing:0px; padding-left: 15px; padding-top: 15px;vertical-align: top" colspan="3">
                    Masa Pajak : <?= date('d-m-Y', strtotime($data['t_masaawal'])) ?> S/D <?= date('d-m-Y', strtotime($data['t_masaakhir'])) ?>
                </td>
                <td style="padding:0;border-spacing:0px; padding-top: 15px;vertical-align: top" colspan="2">
                    Tahun : <?= $data['t_periodepajak']; ?>
                </td>
                <td style="padding:0;border-spacing:0px; padding-top: 15px;vertical-align: top" colspan="2">
                    No. Bukti : <?= $data['t_nopembayaran']; ?><br>
                    No. SPTPD : <?= $data['t_nourut']; ?>
                </td>
            </tr>
        </table>
        <table class="border_bawah border_kanan border_kiri font_delapan" style="width: 100%;">
            <tr style="text-align: center">
                <td class="border_kanan border_kiri" style="padding-top: 10px;">
                    <table cellpadding="3" style="margin-left: 15px; margin-right: 15px; padding-top: 10px; border: 1px solid black; border-collapse: collapse; width: 100%; margin-bottom: 10px">
                        <tr>
                            <td style="width: 5%; border: 1px solid black; border-collapse: collapse; text-align: center">
                                NO.
                            </td>
                            <td style="border: 1px solid black; border-collapse: collapse; text-align: center; width: 20%;">
                                KODE REKENING
                            </td>
                            <td style="border: 1px solid black; border-collapse: collapse; text-align: center">
                                URAIAN
                            </td>
                            <td style="border: 1px solid black; border-collapse: collapse; text-align: center;width: 20%;">
                                JUMLAH (Rp)
                            </td>
                        </tr>
                        <tr>
                            <td style="text-align: center; border: 1px solid black; border-collapse: collapse; height: 200px; vertical-align: top">
                                1.
                            </td>
                            <td style="border: 1px solid black; border-collapse: collapse; vertical-align: top">
                                <?= substr($data['korek'],0,9).'00.00<br>'.$data['korek'] ?>
                            </td>
                            <td style="border: 1px solid black; border-collapse: collapse; vertical-align: top">
                                <b>- <?= strtoupper($data['s_namajenis']) ?>
                                <br>
                                &nbsp;&nbsp; - <?= $data['s_namakorek'] ?></b> <br><br>
                                <?php
                                if($data['s_jenisobjek'] == 4){ ?>
                                    <table style="vertical-align: top;font-size: 10pt;">
                                        <tr>
                                            <td>Jenis Reklame</td>
                                            <td>:</td>
                                            <td><?= $ar_jenisreklame['s_nama'] ?></td>
                                        </tr>
                                        <tr>
                                            <td>Lokasi Reklame</td>
                                            <td>:</td>
                                            <td><?= ucwords(strtolower($datareklame['t_lokasi'])) ?></td>
                                        </tr>
                                        <tr>
                                            <td>Kelas Jalan</td>
                                            <td>:</td>
                                            <td><?= $data_reklame['s_keterangan'] ?></td>
                                        </tr>
                                        <tr>
                                            <td>Naskah Reklame</td>
                                            <td>:</td>
                                            <td><?= ucwords(strtolower($datareklame['t_naskah'])) ?></td>
                                        </tr>
                                        <tr>
                                            <td>Jangka Waktu</td>
                                            <td>:</td>
                                            <td><?= $datareklame['t_jangkawaktu'] .' '.$tipewaktu?></td>
                                        </tr>
                                        <tr>
                                            <td>Luas</td>
                                            <td>:</td>
                                            <td><?= number_format($datareklame['t_panjang'], 2, ',', '.').' m x '.number_format($datareklame['t_lebar'], 2, ',', '.').' m = '.number_format($datareklame['t_panjang']*$datareklame['t_lebar'], 2, ',', '.').' m<sup>2</sup>' ?></td>
                                        </tr>
                                        <tr>
                                            <td>Nilai Lokasi</td>
                                            <td>:</td>
                                            <td><?= number_format($datareklame['t_nsr'], 2, ',', '.') ?></td>
                                        </tr>
                                        <tr>
                                            <td>Tarif Reklame</td>
                                            <td>:</td>
                                            <td>Luas x Nilai Lokasi x Tarif % x Jumlah</td>
                                        </tr>
                                        <tr>
                                            <td></td>
                                            <td>:</td>
                                            <td><?=number_format($datareklame['t_panjang']*$datareklame['t_lebar'], 2, ',', '.') .' x '.number_format($datareklame['t_nsr'], 2, ',', '.').' x '.$datareklame['t_tarifreklame'].'% x '.$datareklame['t_jumlah']?></td>
                                        </tr>
                                        <tr>
                                            <td></td>
                                            <td>:</td>
                                            <td><?= number_format($data['t_jmlhpajak'], 2, ',', '.')?></td>
                                        </tr>
                                    </table>
                                
                                <?php }elseif($data['s_jenisobjek'] == 8){ ?>
                                    
                                    <table style="vertical-align: top">
                                        <tr>
                                            <td>
                                                Tarif
                                            </td>
                                            <td>
                                                : <?= $data['s_persentarifkorek'] ?> %
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                Volume
                                            </td>
                                            <td>
                                                : <?= $detailair['t_volume'] ?> m<sup>3</sup>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                Total Pajak
                                            </td>
                                            <td>
                                                : Volume x Harga Dasar x Tarif (%)
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                
                                            </td>
                                            <td>
                                                : <?= $detailair['t_volume'] .' x '.$detailair['s_tarifdasarkorek'].' x '.$data['s_persentarifkorek'] ?> %
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>

                                            </td>
                                            <td>
                                                : Rp. <?= number_format($data['t_jmlhpajak'], 2, ',', '.'); ?>
                                            </td>
                                        </tr>
                                    </table>
									<?php
                                }else{
                                    echo '<table style="margin-left:10px;">'
                                            . '<tr><td>Masa Pajak</td><td>:</td><td>'.date('d-m-Y', strtotime($data['t_masaawal'])).' s/d '.date('d-m-Y', strtotime($data['t_masaakhir'])).'</td></tr>'
                                            . '<tr><td>Tarif Dasar</td><td>:</td><td>'.$data['t_tarifpajak'].' %</td></tr>'
                                            . '<tr><td>Dasar Pengenaan</td><td>:</td><td>RP. '.number_format($data['t_dasarpengenaan'], 2, ",", ".").'</td></tr>'
                                            . '<tr><td>Pajak</td><td>:</td><td>Rp. '.number_format($data['t_dasarpengenaan'], 2, ",", ".").' x '.$data['t_tarifpajak'].' %</td></tr>'
                                            . '<tr><td></td><td>:</td><td>Rp. '.number_format($data['t_jmlhpajak'], 2, ",", ".").'</td></tr>'
                                    . '</table>';
                                }
                                ?>
                                <!--<? ($data['s_jenisobjek'] == 7) ? '<br>- ' . $detailair['t_perhitungan'] : '' ?>-->
                            </td>
                            <td style="border: 1px solid black; border-collapse: collapse; text-align: right; vertical-align: top">
                                <?= number_format($data['t_jmlhpembayaran'], 2, ',', '.'); ?>
                            </td>
                        </tr>
                        <tr>
                            <td style="text-align: center; border: 1px solid black; border-collapse: collapse" colspan="3">
                                Jumlah Setoran Pajak
                            </td>
                            <td style="border: 1px solid black; border-collapse: collapse; text-align: right">
                                <?= number_format($data['t_jmlhpembayaran'], 2, ',', '.'); ?>
                            </td>
                        </tr>
                        <tr>
                            <td style="border: 1px solid black; border-collapse: collapse" colspan="4">
                                Dengan Huruf : <i># <?= terbilang($data['t_jmlhpembayaran']); ?> Rupiah #</i>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>
        <table class="border_bawah border_kanan border_kiri font_delapan" style="width: 100%">
            <tr>
                <td class="border_kanan" style="width: 33%; padding-top: 10px; text-align: center; padding-bottom: 10px;vertical-align: top;">
                    Ruang untuk Teraan<br>
                    Kas Register / Tanda Tangan<br>
                    Petugas Penerima<br>
                    <br>
                    <br>
                    <br>
                    <br>
                    <?=$ar_ttd0->s_namapej?><br>
                    <?= (!empty($ar_ttd0->s_nippej)) ? 'NIP. '. $ar_ttd0->s_nippej : '' ?>
                </td>
                <td class="border_kanan" style="width: 33%; padding-top: 10px; text-align: center; padding-bottom: 10px;vertical-align: top;">
                    Diterima Oleh,<br>
                    Petugas Tempat Pembayaran<br>
                    Tanggal : ...............<br>
                    <br>
                    <br>
                    <br>
                    <br>
                    <br>
                    <br>
                </td>
                <td style="text-align: center; padding-top: 10px; padding-bottom: 10px;vertical-align: top;">
                    <?= $ar_pemda->s_namaibukotakabkota ?>, <?= date('d-m-Y', strtotime($data['t_tglpembayaran'])); ?><br>
                    Penyetor,<br>
                    <br>
                    <br>
                    <br>
                    <br>
                    <br>
                    ( .............................. )
                </td>
            </tr>
        </table>
        <p style="font-size: 9px">  Beri tanda x pada kotak sesuai dengan ketetapan yang dimiliki</p>
    </body>
</html>